GET Hierarchy/{domain}/{path}
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
GET /api/v1/Hierarchy/{domain}/{path}
Get a hierarchy item from a path
| Path Part | Type | Description |
|---|---|---|
| domain | Enum: Unknown, ExtraTables, ScreenDefinitions, Scripts, Selections, ExternalDocuments, UserGroups, ExternalDocumentRelatedToSpmMessage, Dashboards, EmailFlows | Type of items to get Required |
| path | string | Hierarchy path to item Required |
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| children | bool | Include sub-items? |
GET /api/v1/Hierarchy/{domain}/{path}?children=True
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: HierarchyEntity
| Property Name | Type | Description |
|---|---|---|
| HierarchyId | int32 | The primary key (auto-incremented) |
| Domain | string | Domain seperating the different hierarchy |
| Name | string | Name of this hierarchy folder. |
| Fullname | string | The full name of this category, i.e. Foo/bar/test. |
| ParentId | int32 | Parent table |
| Children | array | Sub-items, if any. |
| Registered | date-time | Registered when in UTC. |
| RegisteredAssociateId | int32 | Registered by whom |
| Updated | date-time | Last updated when in UTC. |
| UpdatedAssociateId | int32 | Last updated by whom |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
GET /api/v1/Hierarchy/{domain}/{path}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"HierarchyId": 609,
"Domain": "Dashboards",
"Name": "Hilpert Inc and Sons",
"Fullname": "est",
"ParentId": 953,
"Children": [
{
"HierarchyId": 339,
"Domain": "Dashboards",
"Name": "Jones LLC",
"Fullname": "enim",
"ParentId": 362,
"Children": [
{},
{}
],
"Registered": "2003-12-22T14:34:02.0290941+01:00",
"RegisteredAssociateId": 83,
"Updated": "2022-09-07T14:34:02.0290941+02:00",
"UpdatedAssociateId": 552,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 138
}
}
}
],
"Registered": "2022-05-16T14:34:02.0290941+02:00",
"RegisteredAssociateId": 1001,
"Updated": "2022-06-26T14:34:02.0290941+02:00",
"UpdatedAssociateId": 957,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 803
}
}
}